"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.subjectReferenceBranchTicket = void 0;
const git_utils_1 = require("utils/git.utils");
// language=JSRegexp
const ticketRegex = new RegExp('([A-Z]+-[0-9]+|[0-9]+)');
const subjectReferenceBranchTicket = ({ subject }) => {
    var _a;
    const branchName = (0, git_utils_1.getBranchName)();
    let ticketInBranch;
    let passes = false;
    if (ticketRegex.test(branchName)) {
        const matches = ticketRegex.exec(branchName);
        ticketInBranch = matches[0];
        passes = Boolean(ticketInBranch && ((_a = subject === null || subject === void 0 ? void 0 : subject.includes(ticketInBranch)) !== null && _a !== void 0 ? _a : false));
    }
    else {
        passes = true;
    }
    return [
        passes,
        passes
            ? 'passed'
            : `Your subject should contain the branch's ticket (${ticketInBranch})`,
    ];
};
exports.subjectReferenceBranchTicket = subjectReferenceBranchTicket;
